# Generated from fiscally-1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fiscally

Name: rubygem-%{gem_name}
Version: 1.0
Release: 1%{?dist}
Summary: Fiscal year awareness for Ruby Date and Time classes
License: MIT
URL: https://github.com/forgecrafted/fiscally
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rb-readline)
# BuildRequires: rubygem(rspec) >= 3.1.0
# BuildRequires: rubygem(rspec) < 3.2
# BuildRequires: rubygem(priscilla)
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(fuubar)
# BuildRequires: rubygem(coveralls) >= 0.8.0
BuildArch: noarch

%description
Projects with a financial or business bent often have to deal with
awareness of a fiscal year, which typically doesn't line up with a normal
calendar year.
The `Fiscally` gem adds the necessary awareness to your date and time objects,
covering start and end dates for fiscal years and quarterly breakdowns.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/provision.sh
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/Vagrantfile
%{gem_instdir}/fiscally.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0-1
- Initial package
